﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WpfDesktopEdition

Public Class fMain

  Private Map As WpfMap

  Private Sub fMain_Load(sender As Object, e As EventArgs) Handles Me.Load
    Map = CtlWPFMap1.WpfMap1
    initMap()
  End Sub

  Private Sub initMap()
    Map.MapUnit = GeographyUnit.Meter

    Dim feature = New Feature("LINESTRING(3458727.12447461 5422189.71118386,3458731.61299526 5422189.70371808)")

    Dim layer = New InMemoryFeatureLayer(New FeatureSourceColumn() {New FeatureSourceColumn("Translate")}, New Feature() {feature})

    layer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.Utility1
    layer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = TextStyles.CreateSimpleTextStyle("Translate", "Verdana", 10.0, DrawingFontStyles.Regular, GeoColor.SimpleColors.Red)
    layer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle.TextLineSegmentRatio = 1000
    layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
    'layer.InternalFeatures.Add(feature)

    Dim translatetFeature = BaseShape.TranslateByDegree(feature, 10.0, 0.0, GeographyUnit.Meter, DistanceUnit.Meter).GetFeature
    translatetFeature.ColumnValues("Translate") = "0.0"
    layer.InternalFeatures.Add(translatetFeature)

    translatetFeature = BaseShape.TranslateByDegree(feature, 30.0, 0.054, GeographyUnit.Meter, DistanceUnit.Meter).GetFeature
    translatetFeature.ColumnValues("Translate") = "0.054"
    layer.InternalFeatures.Add(translatetFeature)

    translatetFeature = BaseShape.TranslateByDegree(feature, 20.0, 359.066, GeographyUnit.Meter, DistanceUnit.Meter).GetFeature
    translatetFeature.ColumnValues("Translate") = "359.066"
    layer.InternalFeatures.Add(translatetFeature)

    Dim layerOverlay = New LayerOverlay
    layerOverlay.Layers.Add(layer)
    Map.Overlays.Add(layerOverlay)

    If layer.HasBoundingBox Then
      layer.Open()
      Map.CurrentExtent = layer.GetBoundingBox
    End If

    Map.Refresh()

  End Sub

End Class
